import { DeesElement, html, customElement, cssManager, css } from '@designestate/dees-element';

@customElement('dees-newelement')
export class NewElement extends DeesElement {
  public static css = [
    cssManager.defaultStyles,
    css`
      :host {
        display: block;
        background: ${cssManager.bdTheme('#000', '#fff')};
      }
    `
  ]

  public static demo = () => html`<dees-newelement></dees-newelement>`;

  public render() {
    return html`
      Hello
    `;
  }
}