import { customElement, LitElement, TemplateResult, html } from 'lit-element';

import * as domtools from '@designestate/dees-domtools';

declare global {
  interface HTMLElementTagNameMap {
    'dees-toast': DeesToast;
  }
}

@customElement('dees-toast')
export class DeesToast extends LitElement {

  constructor() {
    super();
    domtools.elementBasic.setup();
  }

  public render(): TemplateResult {
    return html`
      ${domtools.elementBasic.styles}
      <style></style>
      
    `;
  }
}
